/**
 * Logic for home page
 */
app.controller('HomeController', function($scope, $state, Adapter, busyIndicator) {
	$scope.init = function(){
		$scope.empNo = "";
		$scope.name = "";
		$scope.dob = "";
		$scope.phone = "";
		$scope.salary = "";
		$scope.job = "";
		$scope.hiredate = "";
		$scope.bonus = "";
		$scope.searchErrorMessage = "";
	}	;
		
	$scope.user = {
		username: "",
		password: "",
	};
	
	$scope.search = function(empNo){
		console.log("searching for employee number: "+empNo);
		$scope.init();
		$scope.empNo = empNo;
		
		//trigger loading icon
		busyIndicator.show();

		Adapter.invokeProcedure("EmployeeAdapter","getEmployee",[ empNo])
		.then(function (data)	{// success
			console.log("Got data");
						
			//Test got valid response
			//if not valid stay on page and produce error message
			
			EmployeeError = data.out_text;		
			$scope.searchErrorMessage = EmployeeError;
			$scope.$apply();
			

			EmployeeResponse = data.EmployeeResponse.EMPLOYEE;
			$scope.name = EmployeeResponse.FIRSTNME + " " + EmployeeResponse.LASTNAME;
			$scope.dob = EmployeeResponse.BIRTHDATE;
			$scope.phone = EmployeeResponse.PHONENO;
			$scope.salary = EmployeeResponse.SALARY;
			$scope.job = EmployeeResponse.JOB;
			$scope.hiredate = EmployeeResponse.HIREDATE;
			$scope.bonus = EmployeeResponse.BONUS;
			$scope.searchErrorMessage = "";
			
			$state.go("result");	

			busyIndicator.hide();
			
		},	
		
		function(error)	{ //fail
			console.log("Failed to load data",error);
			
			$scope.searchErrorMessage = EmployeeError + "Problem Running Search";
			$scope.$apply();
			busyIndicator.hide();
		});

		
	};
	
	$scope.signIn = function(form) {
		console.log("Sign in with: "+form);
		$scope.user.username = form.username;
		$scope.user.password = form.password;
	    $state.go('search');
	};


});